DRM_DP_LINK_POWER_UP(9)

NAME
drm_dp_link_power_up - power up a DisplayPort link

SYNOPSIS

int drm_dp_link_power_up(struct drm_dp_aux * aux, struct drm_dp_link * link);

ARGUMENTS

aux
    DisplayPort AUX channel

link
    pointer to a structure containing the link configuration

DESCRIPTION

Returns 0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT